package com.xunhong.erp.turbo.api.facade.exception;


import com.xunhong.erp.turbo.base.exception.BizException;
import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 文件上传异常
 */
public class FacadeException extends BizException {

	public FacadeException(ErrorCode errorCode) {
		super(errorCode);
	}

	public FacadeException(String message, ErrorCode errorCode) {
		super(message, errorCode);
	}

	public FacadeException(String message, Throwable cause, ErrorCode errorCode) {
		super(message, cause, errorCode);
	}

	public FacadeException(Throwable cause, ErrorCode errorCode) {
		super(cause, errorCode);
	}

	public FacadeException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, ErrorCode errorCode) {
		super(message, cause, enableSuppression, writableStackTrace, errorCode);
	}

}
